Page 1 of 1

Issues compiling 3.0.0 on Alpine

Posted: Wed Apr 14, 2021 2:20 pm
by aptalca
Hi, I'm trying to compile 3.0.0 on Alpine and keep running into xlocale related issues and the build fails.

Here's the end of the log with all the errors:
https://pastebin.com/nk0aMzZ0

Any ideas how I can get around this?

I am able to successfully compile on ubuntu focal and tried to replicate the same steps with the equivalent dependency packages on alpine.

Thanks

Re: Issues compiling 3.0.0 on Alpine

Posted: Wed Apr 14, 2021 2:32 pm
by steve
Try building wxWidgets first and ensure that it is working by rebooting and then building one of the wxWidgets sample apps.

Re: Issues compiling 3.0.0 on Alpine

Posted: Wed Apr 14, 2021 3:17 pm
by aptalca
I get the same xlocale errors trying to compile the audacity fork of wxWidgets on Alpine

Re: Issues compiling 3.0.0 on Alpine

Posted: Wed Apr 14, 2021 4:20 pm
by aptalca
I tried compiling wxWidgets 3.15 from the official repo and hit the same issues. It looks like it's upstream rather than due to Audacity patches. I'll bring it up with them.

Thanks